/***********************************************************************
 *
 *  PROJECT:
 *      ePoch
 *
 *  COPYRIGHT:
 *      Copyright  1999, Sovereign Software, Inc.
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public
 *      License along with this program; if not, write to the Free
 *      Software Foundation, Inc., 59 Temple Place, Suite 330,
 *      Boston, MA 02111-1307 USA
 *
 *  FILE:
 *      Epoch.h
 *
 *  DESCRIPTION:
 *      This file defines ePoch's data structure and global variable.
 *
 *  TO DO:
 *      Handle the ePochPreferenceType in Epoch.c
 *
 *  HISTORY:
 *      Setp 14, 1999 - Created by Mark F Rodriguez (macrod@sovware.com)
 *
 **********************************************************************/
#include "EPochRsc.h"

// ---------------------------------------------------------------------
// Internal Constants
// ---------------------------------------------------------------------
#define appFileCreator          'SOV0'
#define appVersionNum           0x01
#define appPrefID               0x00
#define appPrefVersionNum       0x01

#define version20               0x02000000	    // PalmOS 2.0 version #
#define maxNumOfDaysLen         5				// range 0 - 99999

// ---------------------------------------------------------------------
// Internal Structures
// ---------------------------------------------------------------------
typedef struct
 {
    Boolean         hasStartDate;
	Boolean			hasEndDate;
	Boolean			hasNumOfDays;
	Long			numOfDays;
	DateType		todaysDate;
	DateType		startDate;
	DateType		endDate;
 }  EpochDataType;

typedef struct
 {
	Boolean         presetDate;			// set startDate = today
	Boolean         rememberPrevDate;	// save previous ePoch data
	DateFormatType  dateFormat;
	DateFormatType  sysDateFormat;
	EpochDataType   prevEpoch;			// saved calculation
 }  EpochPreferenceType;

// ---------------------------------------------------------------------
// Global variables
// ---------------------------------------------------------------------
extern  DateFormatType		LongDateFormat;		// set by sysPrefs
extern 	DateFormatType		ShortDateFormat;	// set by sysPrefs
extern  EpochDataType		Epoch;
